<?php


namespace App\Classes\Modules\Bookings\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Bookings\DataTransferObjects\BookingObject;


class CanListBookingsSalesInvoice extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param BookingObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }

    /**
     * @param BookingObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }
}
